# EasyPodcasting Plugin
# Copyright 2006 M-Logic, Inc. All Right Reserved.
# $Id: asset_mp3.pl 48 2013-10-21 11:40:29Z ka2hiro $

package MT::Asset::MP3;

use strict;
use base qw( MT::Asset );

if (is_mt4_or_later()) {
# if (is_mt4() || is_mt41() || is_mt42() | is_mt5()) {
    __PACKAGE__->install_properties({
        class_type => 'mp3',
    });
}

#undef *MT::Asset::Audio::extensions;
#*MT::Asset::Audio::extensions = sub {
#    [qr/ogg/i, qr/aiff?/i, qr/wav/i, qr/wma/i, qr/aac/i ];
#};

sub is_mt4 {
    return (substr(MT->version_number, 0, 3) eq '4.0');
}

sub is_mt41 {
    return (substr(MT->version_number, 0, 3) eq '4.1');
}

sub is_mt42 {
    return (substr(MT->version_number, 0, 3) eq '4.2');
}

sub is_mt5 {
    return (substr(MT->version_number, 0, 2) eq '5.');
}

sub is_mt6 {
    return (substr(MT->version_number, 0, 2) eq '6.');
}

sub is_mt4_or_later {
    return is_mt4() || is_mt41() || is_mt42() || is_mt5() || is_mt6();
}

sub extensions { [ qr/mp3/i ] }

sub class_label {
    MT->translate('MP3');
}

sub class_label_plural {
    MT->translate('MP3');
}

sub as_html {
    my $asset = shift;
    my ($param) = @_;

    my $url = $asset->url;
    my $blog = $asset->blog;
    my $title = $asset->label;
    my $path = MT->instance->static_path;
    $path .= '/' unless $path =~ m!/$!;
    $path .= 'plugins/EasyPodcasting/mp3player.swf';

    my $html = <<"EOT";
<div class="mp3">
<div class="mp3_player">
<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" width="250" height="50" id="mp3player" align="middle">
    <param name="allowScriptAccess" value="sameDomain" />
    <param name="movie" value="$path?mp3url=$url" />
    <param name="quality" value="high" />
    <param name="bgcolor" value="#ffffff" />

    <embed src="$path?mp3url=$url" quality="high" bgcolor="#ffffff" width="250" height="50" name="mp3player" align="middle" allowScriptAccess="sameDomain" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />
</object>
</div>
<div class="mp3_link">
<a href="$url" class="link_mp3" title="$title">$title</a>
</div>
</div>
<!-- [mp3:$url:$title] -->
EOT

    return $asset->enclose($html);
}

1;
